InterpSearchFlags Struct Reference

Flags related to interpolation filter search. More...

`#include <encoder.h>`

## Data Fields

int | default_interp_skip_flags
uint16_t | interp_filter_search_mask

## Detailed Description

Flags related to interpolation filter search.

## Field Documentation

## default_interp_skip_flags

int InterpSearchFlags::default_interp_skip_flags

Stores the default value of skip flag depending on chroma format Set as 1 for monochrome and 3 for other color formats

Referenced by av1_interpolation_filter_search().

## interp_filter_search_mask

uint16_t InterpSearchFlags::interp_filter_search_mask

Filter mask to allow certain interp_filter type.

Referenced by encode_with_recode_loop().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h